<template>
    <v-layout aling-center justify-center row wrap>
        <v-flex xs12 md12 lg12 class="pl-5 pt-5">
            <v-breadcrumbs :items="items" divider=">"></v-breadcrumbs>

            <h2>Orden de trabajo No.{{ getOrdenesDetail.no_factura }}</h2>
            <p>
                <v-btn color="warning" @click="renderPdf">
                    Descargar
                    <v-icon> save_alt</v-icon>
                </v-btn>
            </p>
            <orden-header v-bind:orden="getOrdenesDetail"></orden-header>
            <v-layout>
                <v-flex class="text-xs-center">
                    <h2 style="display:inline">Informes de Resultados</h2>
                </v-flex>
            </v-layout>
            <examenes v-for="(items) in getOrdenesDetail.examenes" v-bind:key="items.id" v-bind:examen="items" />

        </v-flex>
    </v-layout>
</template>

<script>
import OrdenHeader from '../../components/ordenes/examenes/OrdenHeader'
import examenes from '../../components/ordenes/Examenes'
import {CreatePdf} from '../../pdf/PdfGenerator'

export default {
    name: 'OrdenesDetail',
    components: {
        OrdenHeader,
        examenes
    },
    data() {
        return {
            //TODO: resolver rutas de breadcrums
            items: [{
                    text: 'Dashboard',
                    disabled: false,
                    to: '/dashboard/1'
                },
                {
                    text: 'Listado de Ordenes',
                    disabled: false,
                    to: '/paciente/7'
                },
                {
                    text: 'Orden de Trabajo',
                    disabled: true,
                }
            ]
        }
    },
    created() {
        this.setOrdenesDetail()
    },
    methods: {
        setOrdenesDetail() {
            this.$store.dispatch('GET_ORDENES_DETAIL', this.$route.params.orden_id)
        },
        renderPdf() {
            CreatePdf()
        }
    },
    computed: {
        getOrdenesDetail() {
            return this.$store.getters.getOrdenDetail
        }
    },
}
</script>

<style>

</style>
